%define upstream_name    Number-Compare
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Numeric comparisons
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description 
Number::Compare compiles a simple comparison to an anonymous subroutine, which
you can call with a value to be tested again.

Now this would be very pointless, if Number::Compare didn't understand
magnitudes.

The target value may use magnitudes of kilobytes (k, ki), megabytes (m, mi), or
gigabytes (g, gi). Those suffixed with an i use the appropriate 2**n version in
accordance with the IEC standard: http://physics.nist.gov/cuu/Units/binary.html

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml
%{perl_vendorlib}/Number
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-7.mga6
+ Revision: 1031348
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.30.0-6.mga6
+ Revision: 936439
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 740815
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 685757
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 513713
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 370994
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 148475
- update to 0.03

* Tue Jan 18 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 22698
- cleaning spec file
- imported package perl-Number-Compare


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-1mdv2010.0
+ Revision: 404279
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.01-9mdv2009.0
+ Revision: 258141
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.01-8mdv2009.0
+ Revision: 246252
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.01-6mdv2008.1
+ Revision: 140694
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-6mdv2008.0
+ Revision: 86719
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-5mdv2007.0
- Rebuild

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-4mdk
- spec cleanup
- better URL
- %%mkrel
- rpmbuildupdate aware

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.01-3mdk
- fix buildrequires in a backward compatible way

* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.01-2mdk 
- fix directory ownership (distlint)

* Fri Apr 02 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.01-1mdk
- first mdk release

